// 引用相当于变量的别名
#include <iostream>

using namespace std;

int main()
{
    int arr[5] = {1, 2, 3, 4, 5};

    // 给 arr 设置一个别名(引用)
    // 先定义 5 个元素数组类型的别名
    typedef int ArrRef[5];
    ArrRef &a = arr;

    // 通过别名操作数组
    for (int i = 0; i < 5; i++)
    {
        cout << a[i] << " ";
    }
    cout << endl;

    return 0;
}
